<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <script src="https://cdn-sd.tecfun.com.br/dev/vd_api_0.0.6.js"></script>
  </head>
  <body>
    <script>
    if (window.vozaoDigitalApi) {

      window.vozaoDigitalApi.onReady(async () => {

        const appVozaoDigitalUser2MorrowToken = await window.vozaoDigitalApi.getUser2MorrowToken();
        if (appVozaoDigitalUser2MorrowToken) {
    
            alert(appVozaoDigitalUser2MorrowToken);
            
            // Envia o appVozaoDigitalUser2MorrowToken, em conexão segura HTTPS (POST) para servidor realizar autenciação na 2Morrow

            // 
            // Envia o token para realizar autenticação na 2Morrow utilizando token do usuário logado em outro App
            // Ex código NodeJS que deve ser executado em ambiente seguro - servidor:
            // await response = fetch("https://devextapi.2morrow.com.br/v2/ChangeFanTokenOwner", {
            //   method: 'POST',
            //   headers: {"Content-Type", "application/json"},
            //   body: JSON.stringify({
            //     "fanToken": await window.vozaoDigitalApi.getUser(),
            //     "newAppToken": "[PartnerToken]"
            //   })
            // });
            // const newUserToken = await response.json();
            //
    
        } else {
    
          // Não foi possível obter token
          // Fluxo normal do site do parceiro solicita usuário e senha...
    
        }
      });
      
    } else {
  
      // Site não está rodando dentro do APP Vozão Digital ou administrador não habilitou a API do Web View.
      // Fluxo normal do site do parceiro solicita usuário e senha...
  
    }
    </script>
  </body>
</html>
<script>